Bug #88316 add support for solaris studio 12.6 aka 5.15
Submitted: 1 Nov 2017 14:07 Modified: 2 Nov 2017 21:57
Reporter: Tor Didriksen Email Updates:
Status: Closed Impact on me:
None 
Category:MySQL Server: Compiling Severity:S3 (Non-critical)
Version:9.0 OS:Any
Assigned to: CPU Architecture:Any

[1 Nov 2017 14:07] Tor Didriksen
Description:
/opt/developerstudio12.6/bin/cc uses this std library
/opt/developerstudio12.6/lib/compilers/CC-gcc/include/c++/5.4.0

There are a few lines that fail to compile with 
Use of overloaded binary operator '&' is ambiguous.

These are bugs in the standard library it seems, missing overloads for std::atomic<integral type> and comparison operators

How to repeat:
Build on skade02 
PATH=/opt/developerstudio12.6/bin:$PATH

Suggested fix:
compare x <op> foo.load() rather than  x <op> foo;
[2 Nov 2017 21:57] Paul Dubois
Posted by developer:
 
Fixed in 9.0.0.

On Solaris, MySQL can now be built with Developer Studio 12.6.
[13 Feb 2018 2:21] Paul Dubois
Posted by developer:
 
Fixed in 8.0.5, not 9.0.0.